package domain

type AlibabaHmMarketingExpirePromotionDeleteExpirePromotionBo struct {
	/*
	   短保时间段信息     */
	PeriodInfos *[]AlibabaHmMarketingExpirePromotionDeleteExpirePeriodInfo `json:"period_infos,omitempty" `

	/*
	   门店id     */
	ShopIds *[]string `json:"shop_ids,omitempty" `

	/*
	   商品skucode     */
	SkuCode *string `json:"sku_code,omitempty" `
}

func (s *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionBo) SetPeriodInfos(v []AlibabaHmMarketingExpirePromotionDeleteExpirePeriodInfo) *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionBo {
	s.PeriodInfos = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionBo) SetShopIds(v []string) *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionBo {
	s.ShopIds = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionBo) SetSkuCode(v string) *AlibabaHmMarketingExpirePromotionDeleteExpirePromotionBo {
	s.SkuCode = &v
	return s
}
